# Changelog

## v0.24.0

### Features

* REACT-84 - Handle domain whitelist errors
* LEARN-315 - `<Logout>`

### Bugfixes

* DEVF-39 - Image block alignment disrupts other content

## v0.23.0

### Features

* CONN-420 - Send additional Google custom dimensions with `<MediaVideo>` events
* DEVF-39 - Enhance Image block to allow for alignment, resizing, and wrapping

### Bugfixes

* LEARN-281 - SCORM doesn't work in the apps

## v0.22.4

### Bugfixes

* LEARN-286 - iOS audios & videos unavailable

## v0.22.3

### Bugfixes

* REACT-89 - Only send progress data up til video is skipped ahead

## v0.22.2

### Bugfixes

* CONN-356 - Media player re-renders

### Improvements

* #222 - Updated PR template to add README update

## v0.22.1

### Features

* LEARN-263 - Added placeholder and emptyContent to `<Collection>`

### Improvements

* REACT-88 - Adjust the MediaPlayer analytics to send the correct form of data

## v0.22.0

### Features

* REACT-87 - `<MediaPlayer>` component tracking

### Bugfixes

* CONN-347 - Leadership blog link causes app reboot (`<Site>` `config` leaking)

## v0.21.2

### Bugfixes

* REACT-86 - `<MediaScorm>` dependencies

## v0.21.1

### Bugfixes

* CONN-349 - Connect not requesting updated resources

## v0.21.0

### Features

* REACT-86 - `<MediaScorm>`

## v0.20.4

### Bugfixes

* LEARN-244 - iOS Learn app crashing

### Improvements

* DEVF-46 - Converted `<Richtext>` rendering to HTML

## v0.20.3

### Bugfixes

* REACT-85 - Infinite placeholder if image block added without image (2)

## v0.20.2

### Bugfixes

* REACT-63 - Subtitles appear extremely small on iOS

### Improvements

* DEVF-51 - Replace `createFormatComponent` with `GenericFormat`

## v0.20.1

### Bugfixes

* REACT-85 - Infinite placeholder if image block added without image

## v0.20.0

### Features

* DEVF-38 - Quote block

### Bugfixes

* DEVF-54 - Empty block causes homepage redirect

## v0.19.1

### Improvements

* DEVF-36 - Added file block label to attributes and made it editable

## v0.19.0

### Features

* DEVF-37 - Image block

## v0.18.0

### Features

* DEVF-33 - Link format

## v0.17.0

### Features

* DEVF-34 - List block
* DEVF-36 - File block

### Bugfixes

* DEVF-26 - Wrapped each paragraph block in `<p>`

## v0.16.0

### Features

* REACT-68 - `<Item.Link>`
* DEVF-32 - Heading block

### Bugfixes

* REACT-63 - Subtitles appear extremely small on iOS

## v0.15.0

Minor version bump for new features (REACT-61, REACT-69, DEVF-28) and breaking
API changes (REACT-70).

### Bugfixes

* CONN-248 - Featured images don't load offline

## v0.14.5

### Bugfixes

* REACT-58 - Reverted change as it breaks video

## v0.14.4

### Features

* REACT-61 - Add alt and title to `<MediaImage>`
* REACT-69 - Return item with `CollectionRadios` onChange
* DEVF-28 - Frontend rendering for `<Paragraph>` block

### Bugfixes

* REACT-56 - `<MediaImage>` fails to render small images
* REACT-58 - Cannot assign classes to featured videos
* REACT-62 - Chaptering does not work on frontend
* REACT-65 - Video player displays strange label for subtitles

### Improvements

* REACT-70 - Responsive `<MediaImage>` implementation update
* REACT-74 - Convert `<MediaImage>` to use `<Item>`

## v0.14.3

### Bugfixes

* CONN-275 - `<ItemSelect>` takes too long to update

### Improvements

* REACT-71 - Improve docblock layout
* REACT-55 - Upgrade to latest version of ESLint configuration

## v0.14.2

### Bugfixes

* LEARN-191 - Prevent `JWPlayer` mutating config prop and causing re-render
* REACT-51 - JWPlayer fails to load without a featured image or poster id

## v0.14.1

### Improvements

* CONN-237 - Allow placeholder prop to be passed down to Select

### Bugfixes

* LEARN-217 - Add check for prop in `<RegisterFormCheckbox>` before manipulating propTypes

## v0.14.0

### Features

* REACT-54 - `<RegisterForm>`
* REACT-54 - `<ResetRequestForm>`, `<ResetResponseForm>`
* REACT-60 - Allow auth forms to be marked invalid
* REACT-66 - Allow auth forms to use different IDPs
* CONN-237 - Return selected item in `<ItemSelect>` `onChange()`

## v0.13.0

### Features

* REACT-54 - `<LoginForm>`

### Improvements

* #122 - Test errors
* #123 - Test coverage

## v0.12.0

### Features

* LEARN-148 - `<SignInForm>`, `<SignUpForm>` and `<PasswordResetForm>`

## v0.11.0

### Features

* REACT-53 - `<Collection>` should return in one go

## v0.10.6

### Bugfixes

* LEARN-145 - JWplayer missing on prod build

## v0.10.5

### Bugfixes

* CONN-147 - Improved error handling

## v0.10.4

### Features

* CONN-147 - New `Utils` export with `media.filterSizesByAspectRatio` and
  `media.findSizeByWidth` methods

## v0.10.3

### Bugfixes

* CONN-167 - Fix video height

## v0.10.2

### Bugfixes

* REACT-4 - Fix player `onPlayerMounted` bug

## v0.10.1

### Bugfixes

* REACT-4 - Added `public` to `package.json`

## v0.10.0

### Features

* REACT-4 - `<Item.FeaturedVideo>`, `<MediaVideo>` and `<JwPlayer>`

## v0.9.0

### Features

* REACT-40 - Allow path-style lookups in `<Item.Field>`
* REACT-41 - Pass through `<Item.Title>` children
* REACT-43 - Allow `<Item>` components to be used for data loading

### Bugfixes

* REACT-39 - `<Item.Rating>` doesn't support `onRate`
* REACT-42 - `<Item>` `propTypes` bugs

## v0.8.0

### Features

* REACT-21 - Enhance `<MediaImage>` to support `srcset`
* REACT-24 - Display placeholder if `<MediaImage>` fails to load
* REACT-20 - `<Collection>`
* REACT-32 - Pass items to `<Item>` components
* REACT-35 - `<Item.Field>`
* REACT-37 - Placeholders
* REACT-7 - `<Item.Rating>`

### Bugfixes

* REACT-30 - `<Item.FeaturedImage>` no longer compatible with `<MediaImage>`

### Improvements

* REACT-29 - Project layout improvements

## v0.7.3

### Bugfixes

* REACT-23 - `<Item>` only requests data once

### Improvements

* FENG-4 - Create company-wide ESLint package
* FENG-15 - Enforce fragment style in ESLint rules
* REACT-22 - Migrate from Karma / Jasmine / Istanbul to Jest

## v0.7.2

### Bugfixes

* REACT-10 - `<ItemContent>` and `<ItemExcerpts>` does not pass down props

## v0.7.1

### Bugfixes

* POLL-23 - Exported component
* POLL-23 - Fixed warning issues from passing internal props down to list items

## v0.7.0

### Features

* #48 `<PasswordStrength>`

## v0.6.1

### Bugfixes

* #44 Suppressed SiteVersion output when version `undefined`

## v0.6.0

### Features

* #41 `<SiteVersion>`

## v0.5.0

### Features

* #35 Added ability to filter items within lists
* #36 Suppressed MediaImage rendering if given an ID of 0
* #37 Added the ability to request an item from SS by slug

### Improvements

* #38 Switched to jsdom from PhantomJS

## v0.4.0

### Features

* #31 `<Item>`
* #32 `<ItemRadios>`

### Bugfixes

* #28 Selector cursor for `<TermChooser>`

### Improvements

* #29 Tiny improvement to `<MediaImage>` `propTypes`
* #30 Removed redundant test (enforced by `propTypes`)

## v0.3.0

### Features

* #24 `<MediaImage>`
* #25 `<FileIcon>`

## v0.2.0

### Features

* #19 `<ItemSelect>`

### Improvements

* #20 Excluded tests directory from code coverage reporting
* #21 Improved `onChange` callback interface for `<TermChooser>`

## v0.1.0

Initial release.

### Features

* #11 `<LoaderOverlay>`
* #12 `<Site>`
* #14 `<TermChooser>`
