import React from 'react';

/**
 * Renderer for newline format
 * Used by `<RichText>` to render `<br>`.
 * Unlike other formats, does not render any children.
 * @see
 *   https://github.com/WordPress/gutenberg/tree/master/packages/format-library
 * @private
 * @returns {Object} React element.
 */
export const Newline = () => (
  <br />
);

export default Newline;
