import { createButtonComponent } from '../../lib';
import Context from './Context';

/**
 * Login button for a LoginForm
 * Submits the form. Is disabled until a username and password are entered.
 * All props are passed down to SUI's `<Button>`
 * @param {Object} props - Props for SUI `<Button>` (should include `children`).
 * @returns {Object} component
 */
export const LoginFormButton = createButtonComponent(
  'LoginFormButton',
  Context
);

export default LoginFormButton;
