import React from 'react';
import { Container, Divider, Icon } from 'semantic-ui-react';

/**
 * Confirmation page for password request
 * @returns {Object} React element.
 */
const PasswordResetPending = () => (
  <Container textAlign="center">
    <Icon name="checkmark" size="massive" color="green" />

    <h2>We&apos;ve sent instructions to your registered email address</h2>

    <p>
      Please check your inbox and follow the instructions to access your
      account
    </p>

    <Divider hidden />
  </Container>
);

export default PasswordResetPending;
