import { createButtonComponent } from '../../lib';
import Context from './Context';

/**
 * Login button for a RegisterForm
 * Submits the form. Is disabled until the form is completed.
 * All props are passed down to SUI's `<Button>`
 * @param {Object} props - Props for SUI `<Button>` (should include `children`).
 * @returns {Object} component
 */
export const RegisterFormButton = createButtonComponent(
  'RegisterFormButton',
  Context
);

export default RegisterFormButton;
