import { createInputComponent } from '../../lib';
import Context from './Context';

/**
 * Email input field for a RegisterForm
 * All props are passed down to SUI's `<Input>`
 * @param {Object} props - Props for SUI `<Input>`.
 * @returns {Object} component
 */
export const RegisterFormEmailInput = createInputComponent(
  'RegisterFormEmailInput',
  Context,
  'email',
  { type: 'email' }
);

export default RegisterFormEmailInput;
