import { createMessageComponent } from '../../lib';
import Context from './Context';

/**
 * Error message for a RegisterForm
 * Displayed if an error occurs while registering.
 * All props are passed down to SUI's `<Message>`
 * @param {Object} props - Props for SUI `<Message>`.
 * @returns {Object} component
 */
export const RegisterFormErrorMessage = createMessageComponent(
  'RegisterFormErrorMessage',
  Context,
  'error',
  'error',
  { error: true }
);

export default RegisterFormErrorMessage;
