import { createInputComponent } from '../../lib';
import Context from './Context';

/**
 * First name input field for a RegisterForm
 * All props are passed down to SUI's `<Input>`
 * @param {Object} props - Props for SUI `<Input>`.
 * @returns {Object} component
 */
export const RegisterFormFirstNameInput = createInputComponent(
  'RegisterFormFirstNameInput',
  Context,
  'firstName'
);

export default RegisterFormFirstNameInput;
