import { createMessageComponent } from '../../lib';
import Context from './Context';

/**
 * Invalid domain email for a RegisterForm
 * Displayed if a invalid domain email address is entered into the form.
 * All props are passed down to SUI's `<Message>`
 * @param {Object} props - Props for SUI `<Message>`.
 * @returns {Object} component
 */
export const RegisterFormInvalidDomainMessage = createMessageComponent(
  'RegisterFormInvalidDomainMessage',
  Context,
  'error',
  'domainError',
  { error: true }
);

export default RegisterFormInvalidDomainMessage;
