import { createPasswordStrengthComponent } from '../../lib';
import Context from './Context';

/**
 * Password strength meter for a RegisterForm
 * Prevents registration until the strength requirements are met.
 * All props are passed down to this library's `<PasswordStrength>`
 * @param {Object} props - Props for this library's `<PasswordStrength>`.
 * @returns {Object} component
 */
export const RegisterFormPasswordStrength = createPasswordStrengthComponent(
  'RegisterFormPasswordStrength',
  Context
);

export default RegisterFormPasswordStrength;
