import { createButtonComponent } from '../../lib';
import Context from './Context';

/**
 * Submit button for a ResetRequestForm
 * Submits the form. Is disabled until the form is completed.
 * All props are passed down to SUI's `<Button>`
 * @param {Object} props - Props for SUI `<Button>` (should include `children`).
 * @returns {Object} component
 */
export const ResetRequestFormButton = createButtonComponent(
  'ResetRequestFormButton',
  Context
);

export default ResetRequestFormButton;
