import { createInputComponent } from '../../lib';
import Context from './Context';

/**
 * Email input field for a ResetRequestForm
 * All props are passed down to SUI's `<Input>`
 * @param {Object} props - Props for SUI `<Input>`.
 * @returns {Object} component
 */
export const ResetRequestFormEmailInput = createInputComponent(
  'ResetRequestFormEmailInput',
  Context,
  'email',
  { type: 'email' }
);

export default ResetRequestFormEmailInput;
