import { createMessageComponent } from '../../lib';
import Context from './Context';

/**
 * Error message for a ResetResponseForm
 * Displayed if an error occurs while requesting a password reset.
 * All props are passed down to SUI's `<Message>`
 * @param {Object} props - Props for SUI `<Message>`.
 * @returns {Object} component
 */
export const ResetResponseFormErrorMessage = createMessageComponent(
  'ResetResponseFormErrorMessage',
  Context,
  'error',
  'error',
  { error: true }
);

export default ResetResponseFormErrorMessage;
