import { createInputComponent } from '../../lib';
import Context from './Context';

/**
 * Password input field for a ResetResponseForm
 * All props are passed down to SUI's `<Input>`
 * @param {Object} props - Props for SUI `<Input>`.
 * @returns {Object} component
 */
export const ResetResponseFormPasswordInput = createInputComponent(
  'ResetResponseFormPasswordInput',
  Context,
  'password',
  { type: 'password' }
);

export default ResetResponseFormPasswordInput;
