import { createPasswordStrengthComponent } from '../../lib';
import Context from './Context';

/**
 * Password strength meter for a ResetResponseForm
 * Prevents registration until the strength requirements are met.
 * All props are passed down to this library's `<PasswordStrength>`
 * @param {Object} props - Props for this library's `<PasswordStrength>`.
 * @returns {Object} component
 */
export const ResetResponseFormPasswordStrength
  = createPasswordStrengthComponent(
    'ResetResponseFormPasswordStrength',
    Context
  );

export default ResetResponseFormPasswordStrength;
